Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615370 - [abrt] crash in evolution-2.30.2-1.fc13: __libc_free: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] crash in evolution-2.30.2-1.fc13: __libc_free: Process /usr/bin/evolut...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:e21ea3b5e0e8fe41fbcaad4b89b...
:
: 615635 615655 615765 616022 616087 616782 617128 617398 618347 618746 619015 619065 619085 619099 619169 619299 620644 621164 621449 621976 622128 622629 622780 623668 624102 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 11:50 EDT by Sanford Darlington
Modified: 2011-06-29 09:25 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:25:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.62 KB, text/plain)
2010-07-16 11:50 EDT, Sanford Darlington
no flags Details
I think I have the very same crash (40.92 KB, text/plain)
2010-07-16 20:11 EDT, William Lovaton
no flags Details

  None (edit)
Description Sanford Darlington 2010-07-16 11:50:15 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: evolution
comment: Crash following a previous crash of e-addressbook.
component: evolution
crash_function: __libc_free
executable: /usr/bin/evolution
global_uuid: e21ea3b5e0e8fe41fbcaad4b89b115f8a75351c8
kernel: 2.6.33.6-147.fc13.x86_64
package: evolution-2.30.2-1.fc13
rating: 3
reason: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. After a crash in the e-addressbook, crash!
2.
3.
Comment 1 Sanford Darlington 2010-07-16 11:50:17 EDT
Created attachment 432422 [details]
File: backtrace
Comment 2 Sanford Darlington 2010-07-16 13:04:32 EDT
Package: evolution-2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Exit Evolution after sending an email.
2. Crash!
3.


Comment
-----
Previously crashed in  e-addressbook-factory during same session.
Comment 3 William Lovaton 2010-07-16 20:11:14 EDT
Created attachment 432523 [details]
I think I have the very same crash

By any chance do you have an Exchange account configured? Evolution started to fail after I installed all the updates available today:

Jul 16 16:04:38 Updated: xdg-utils-1.0.2-20.20100709.fc13.noarch
Jul 16 16:04:41 Updated: python-nose-0.11.3-1.fc13.noarch
Jul 16 16:04:43 Updated: lyx-fonts-1.6.6.1-1.fc13.noarch
Jul 16 16:04:51 Updated: system-config-language-1.3.4-5.fc13.noarch
Jul 16 16:04:52 Updated: 1:perl-Pod-Escapes-1.04-114.fc13.i686
Jul 16 16:04:54 Updated: 1:perl-Pod-Simple-3.07-114.fc13.i686
Jul 16 16:04:56 Updated: 4:perl-libs-5.10.1-114.fc13.i686
Jul 16 16:04:57 Updated: 1:perl-Module-Pluggable-3.90-114.fc13.i686
Jul 16 16:05:15 Updated: 4:perl-5.10.1-114.fc13.i686
Jul 16 16:05:17 Updated: ppp-2.4.5-9.fc13.i686
Jul 16 16:05:19 Updated: 2:gimp-libs-2.6.10-1.fc13.i686
Jul 16 16:05:22 Updated: ffmpeg-libs-0.6-2.fc13.i686
Jul 16 16:05:23 Updated: ffmpeg-0.6-2.fc13.i686
Jul 16 16:05:37 Updated: 2:gimp-2.6.10-1.fc13.i686
Jul 16 16:05:38 Updated: pptp-1.7.2-9.fc13.i686
Jul 16 16:05:45 Updated: 1:numpy-1.3.0-9.fc13.i686
Jul 16 16:05:47 Updated: telepathy-gabble-0.9.11-2.fc13.i686
Jul 16 16:05:48 Updated: 3:traceroute-2.0.15-1.fc13.i686
Jul 16 16:05:49 Updated: cairomm-1.8.4-2.fc13.i686
Jul 16 16:05:52 Updated: upower-0.9.5-1.fc13.i686
Jul 16 16:05:54 Updated: libgnomekbd-2.30.2-1.fc13.i686
Jul 16 16:05:55 Updated: openldap-2.4.21-9.fc13.i686
Jul 16 16:05:56 Updated: libdwarf-0.20100629-1.fc13.i686
Comment 4 William Lovaton 2010-07-16 20:14:42 EDT
I'm putting my comments here because abrt failed to connect to bugzilla (maybe proxy problems).

It seems the latest updates broke evolution, I don't really know what update was at fault because all of them look unrelated to me (look the list above).

I can make evolution work if I start it in offline mode and I can even see the cached messages from the Exchange server but as soon as I click the online button in the bottom left corner it crashes trying to reconnect to the server.  I have a POP and an Exchange account so I'm not really sure which is it but I'm almost sure it's the Exchange account.
Comment 5 Sanford Darlington 2010-07-16 21:20:17 EDT
I have an Exchange account configured that I use at work.  I didn't start having this issues until the last update I picked up from the update manager.  It happens when I compose a message and I try to look up a name in the global contacts DB. Evolution seemed to work fine as long as I was just reading email and not replying or creating new messages.
The only "wrench" I have to throw into this bug is that I was using VPN over wireless to get to my Exchange server.  I haven't tried this with a direct connect to Eth0 that I normally have. I expect that if it is a problem communicating with the Exchange global contacts DB that it would fail then too.
Comment 6 William Lovaton 2010-07-19 09:53:55 EDT
Sanford, did you apply any updates?

I found the culprit update: openldap-2.4.21-9.fc13.i686, downgrading to openldap-2.4.21-4.fc13.i686 fixes the crash for me.

Just issue this command: yum downgrade openldap

Given the way you reproduce your bug it's probably no the same as mine, I reported my bug here because the backtrace looks more or less the same.

Good luck.
Comment 7 Sanford Darlington 2010-07-19 10:21:38 EDT
William,
This started happening after the system update of 7/16/2010.  I haven't tried downgrading openldap.  However, I can and then I will post another comment afterwards.
Comment 8 Sanford Darlington 2010-07-19 10:41:05 EDT
William,
I just did a downgrade of openldap from 2.4.21-9 to 2.4.21-4 and it's working fine at the moment.  I get no crashes when I look up names in my MS Exchange contacts or global addresses.  Also, I can open my MS Exchange calendar without errors too.
Thanks for the tip, but at some point I'm sure openldap needs to be fixed.
Comment 9 William Lovaton 2010-07-19 17:29:15 EDT
I'm glad to hear that.  This morning I checked how many bugs were open against openldap and there is only 3 at the moment.  I wonder if this is really an openldap bug or maybe an unfortunate interaction with evolution.  That's why I haven't filed a bug for openldap.

Maybe some developer will see this and clarify a little bit about what is the right course of action.

Cheers.
Comment 10 Sanford Darlington 2010-07-19 18:58:20 EDT
William,
After I made my last comment I again had a crash Evolution even after the downgrade of openldap.  However, it continued to work and to dish out addresses and let me into my MS Exchange calendar.  I'm going to leave it the way it is until there is another upgrade/fix to openldap.
Sanford
Comment 11 John Kissane 2010-07-30 11:37:21 EDT
Package: evolution-2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I clicked the close button to exit & it crashed!
2.
3.
Comment 12 Karel Klíč 2010-11-08 13:50:33 EST
*** Bug 615635 has been marked as a duplicate of this bug. ***
Comment 13 Karel Klíč 2010-11-08 13:50:38 EST
*** Bug 615655 has been marked as a duplicate of this bug. ***
Comment 14 Karel Klíč 2010-11-08 13:50:43 EST
*** Bug 615765 has been marked as a duplicate of this bug. ***
Comment 15 Karel Klíč 2010-11-08 13:50:47 EST
*** Bug 616022 has been marked as a duplicate of this bug. ***
Comment 16 Karel Klíč 2010-11-08 13:50:52 EST
*** Bug 616087 has been marked as a duplicate of this bug. ***
Comment 17 Karel Klíč 2010-11-08 13:50:57 EST
*** Bug 616782 has been marked as a duplicate of this bug. ***
Comment 18 Karel Klíč 2010-11-08 13:51:04 EST
*** Bug 617128 has been marked as a duplicate of this bug. ***
Comment 19 Karel Klíč 2010-11-08 13:51:08 EST
*** Bug 617398 has been marked as a duplicate of this bug. ***
Comment 20 Karel Klíč 2010-11-08 13:51:13 EST
*** Bug 618347 has been marked as a duplicate of this bug. ***
Comment 21 Karel Klíč 2010-11-08 13:51:18 EST
*** Bug 618746 has been marked as a duplicate of this bug. ***
Comment 22 Karel Klíč 2010-11-08 13:51:23 EST
*** Bug 619015 has been marked as a duplicate of this bug. ***
Comment 23 Karel Klíč 2010-11-08 13:51:28 EST
*** Bug 619065 has been marked as a duplicate of this bug. ***
Comment 24 Karel Klíč 2010-11-08 13:51:32 EST
*** Bug 619085 has been marked as a duplicate of this bug. ***
Comment 25 Karel Klíč 2010-11-08 13:51:37 EST
*** Bug 619099 has been marked as a duplicate of this bug. ***
Comment 26 Karel Klíč 2010-11-08 13:51:41 EST
*** Bug 619169 has been marked as a duplicate of this bug. ***
Comment 27 Karel Klíč 2010-11-08 13:51:46 EST
*** Bug 619299 has been marked as a duplicate of this bug. ***
Comment 28 Karel Klíč 2010-11-08 13:51:53 EST
*** Bug 620644 has been marked as a duplicate of this bug. ***
Comment 29 Karel Klíč 2010-11-08 13:51:58 EST
*** Bug 621164 has been marked as a duplicate of this bug. ***
Comment 30 Karel Klíč 2010-11-08 13:52:03 EST
*** Bug 621449 has been marked as a duplicate of this bug. ***
Comment 31 Karel Klíč 2010-11-08 13:52:07 EST
*** Bug 621976 has been marked as a duplicate of this bug. ***
Comment 32 Karel Klíč 2010-11-08 13:52:12 EST
*** Bug 622128 has been marked as a duplicate of this bug. ***
Comment 33 Karel Klíč 2010-11-08 13:52:16 EST
*** Bug 622629 has been marked as a duplicate of this bug. ***
Comment 34 Karel Klíč 2010-11-08 13:52:21 EST
*** Bug 622780 has been marked as a duplicate of this bug. ***
Comment 35 Karel Klíč 2010-11-08 13:52:26 EST
*** Bug 623668 has been marked as a duplicate of this bug. ***
Comment 36 Karel Klíč 2010-11-08 13:52:31 EST
*** Bug 624102 has been marked as a duplicate of this bug. ***
Comment 37 Bug Zapper 2011-06-01 09:42:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 38 Bug Zapper 2011-06-29 09:25:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.